Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.jcr.observation
Interface EventIterator

All Superinterfaces:
  java.util.Iterator, RangeIterator

      public interface EventIterator

extends RangeIterator

Allows easy iteration through a list of `Event`s with `nextEvent` as well as a `skip` method inherited from `RangeIterator`.

Method Summary
`Event` `nextEvent()` Returns the next `Event` in the iteration.

Methods inherited from interface javax.jcr.RangeIterator
`getPosition, getSize, skip`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### nextEvent

    Event nextEvent()

  Returns the next `Event` in the iteration.
  Returns:
    the next `Event` in the iteration.
  Throws:
    `java.util.NoSuchElementException` - if iteration has no more `Event`s.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.